MHA(1)

NAME
mha - openMHA server (Open Master Hearing Aid)

SYNOPSIS
mha [OPTION]... [COMMAND]...

DESCRIPTION
mha is the main server component of the Open Master Hearing Aid (openMHA) framework.

It provides a configurable runtime environment for audio signal processing, typically used for hearing aid research and development. The server can be controlled via network connections or interactively and supports loading and configuring processing chains composed of openMHA plugins.

OPTIONS

-q, --quiet
    Suppress all output.

-p portno, --port=portno
    Set the server port number (default: 33337).

-a port, --announce=port
    Announce the process ID and port number to 127.0.0.1:port.

--interactive
    Start in interactive mode.

-i str, --interface=str
    Set the server interface to str.

-d, --daemon
    Start in daemon mode (restart automatically after exit).

-o str, --ok-ack=str
    Set the acknowledgement string used for successful operations.

-f str, --fail-ack=str
    Set the acknowledgement string used for failed operations.

--log=logfile
    Enable logging to logfile.

-h, --help
    Display a help screen and exit.

COMMANDS
Commands may be provided on the command line or entered interactively when running in interactive mode. These commands are used to configure and control the openMHA processing pipeline.

EXIT STATUS

0   Successful execution.

non-zero
    An error occurred during startup or operation.

COPYRIGHT
Copyright (c) 2005-2021 HoerTech gGmbH.
Copyright (c) 2021-2024 Hoerzentrum Oldenburg gGmbH.

This program is free software distributed under the terms of the GNU Affero General Public License, version 3.

AUTHOR

This manual page was written by Christopher Obbard obbardc@debian.org for the Debian GNU/Linux system.